<script lang="ts">
  import IssueDialog from 'components/IssueDialog';
  import PlusIcon from 'icons/PlusIcon';

  let showModal = false;

  const handleShowModal = () => showModal = true;

  const handleCloseModal = () => showModal = false;
</script>

<button
  type="button"
  on:click={handleShowModal}
  class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg
    text-md px-5 py-2.5 text-center inline-flex items-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
>
  <PlusIcon class="mr-2 -ml-1" />
  Create issue
</button>
<IssueDialog
  show={showModal}
  onClose={handleCloseModal}
/>
